Package org.apache.tools.ant.types.optional.imageio

# Class BasicShape

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.optional.imageio.ImageOperation
org.apache.tools.ant.types.optional.imageio.BasicShape

All Implemented Interfaces:
  `java.lang.Cloneable`, `DrawOperation`

Direct Known Subclasses:
  `Arc`, `Ellipse`, `Rectangle`

    public abstract class BasicShape
    extends ImageOperation
    implements DrawOperation

Draw a basic shape

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected java.lang.String` | `fill` |
`protected int` | `height` |
`protected java.lang.String` | `stroke` |
`protected int` | `strokeWidth` |
`protected int` | `width` |

### Fields inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

`instructions`

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`BasicShape()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `setFill​(java.lang.String col)` | Set the fill attribute.
`void` | `setHeight​(int h)` | Set the height.
`void` | `setStroke​(java.lang.String col)` | Set the stroke attribute.
`void` | `setStrokewidth​(int sw)` | Set the stroke width attribute.
`void` | `setWidth​(int w)` | Set the width.

### Methods inherited from class org.apache.tools.ant.types.optional.imageio.ImageOperation

`addDraw, addRotate, addScale`

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes, toString`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.types.optional.imageio.DrawOperation

`executeDrawOperation`

## Field Details

### width

protected int width

### height

protected int height

### strokeWidth

protected int strokeWidth

### stroke

protected java.lang.String stroke

### fill

protected java.lang.String fill

## Constructor Details

### BasicShape

public BasicShape()

## Method Details

### setWidth

public void setWidth​(int w)
Set the width.

Parameters:
  `w` - the width of the shape.

### setHeight

public void setHeight​(int h)
Set the height.

Parameters:
  `h` - the height of the shape.

### setStrokewidth

public void setStrokewidth​(int sw)
Set the stroke width attribute.

Parameters:
  `sw` - the value to use.

### setStroke

public void setStroke​(java.lang.String col)
Set the stroke attribute.

Parameters:
  `col` - the color value to use.

### setFill

public void setFill​(java.lang.String col)
Set the fill attribute.

Parameters:
  `col` - the color value to use.